weixin_39871378
weixin_39871378
2020-12-09 03:25

Installation fails related to depency on inherits

sudo npm install --global somafm


...
npm` http 200 https://registry.npmjs.org/spdx-license-ids
npm http GET https://registry.npmjs.org/is-utf8
npm http 304 https://registry.npmjs.org/is-utf8
/bin/somafm -> /lib/node_modules/somafm/cli.js
npm WARN unmet dependency /lib/node_modules/block-stream requires inherits@'~2.0.0' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/fstream requires inherits@'~2.0.0' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/fstream-ignore requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/fstream-npm requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/glob requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/npmconf requires inherits@'~2.0.0' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
npm WARN unmet dependency /lib/node_modules/tar requires inherits@'2' but will load
npm WARN unmet dependency undefined,
npm WARN unmet dependency which is version undefined
somafm.2.0 /lib/node_modules/somafm
├── term-title.0.0
├── object-assign.1.0
├── trim.0.1
├── minimist.2.0
├── isbin.0.2 (async.1.22)
├── chalk.1.3 (escape-string-regexp.0.5, supports-color.0.0, ansi-styles.2.1, has-ansi.0.0, strip-ansi.0.1)
├── cli-truncate.2.1 (slice-ansi.0.4, string-width.0.2)
├── copy-paste.3.0 (sync-exec.6.2, iconv-lite.4.13)
├── got.6.0 (is-redirect.0.0, lowercase-keys.0.0, is-stream.1.0, is-plain-obj.1.0, unzip-response.0.1, timed-out.0.0, is-retry-allowed.1.0, node-status-codes.0.0, read-all-stream.1.0, duplexer2.1.4, url-parse-lax.0.0, create-error-class.0.2, pinkie-promise.0.1, parse-json.2.0, readable-stream.1.5)
└── dateformat.0.12 (get-stdin.0.1, meow.7.0)

该提问来源于开源项目:uschek/somafm

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

6条回答